-- IBUFDS_DIFF_OUT_IBUFDISABLE: Differential Input Buffer With Complementary Outputs and Input Buffer Disable
--                              UltraScale
-- Xilinx HDL Language Template, version 2022.2

IBUFDS_DIFF_OUT_IBUFDISABLE_inst : IBUFDS_DIFF_OUT_IBUFDISABLE
generic map (
   CCIO_EN_M => "TRUE",
   CCIO_EN_S => "TRUE",
   SIM_DEVICE => "ULTRASCALE"  -- Set the device version for simulation functionality (ULTRASCALE)
)
port map (
   O => O,                     -- 1-bit output: Buffer diff_p output
   OB => OB,                   -- 1-bit output: Buffer diff_n output
   I => I,                     -- 1-bit input: Diff_p buffer input (connect directly to top-level port)
   IB => IB,                   -- 1-bit input: Diff_n buffer input (connect directly to top-level port)
   IBUFDISABLE => IBUFDISABLE  -- 1-bit input: Must be tied to a logic '0'
);

-- End of IBUFDS_DIFF_OUT_IBUFDISABLE_inst instantiation
