-- RAM512X1S: 512-deep by 1-wide positive edge write, asynchronous read
--            single-port distributed LUT RAM
--            UltraScale
-- Xilinx HDL Language Template, version 2022.2

RAM512X1S_inst : RAM512X1S
generic map (
   INIT => X"00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000", -- Initial contents of RAM
   IS_WCLK_INVERTED => '0') -- Specifies active high/low WCLK
port map (
   O => O,  -- Read/Write port 1-bit ouput
   A => A,  -- Read/Write port 9-bit address input
   D => D,  -- RAM data input
   WCLK => WCLK,  -- Write clock input
   WE => WE -- Write enable input
);

-- End of RAM512X1S_inst instantiation
