-- RAM256X1D: 256-deep by 1-wide positive edge write, asynchronous read
--            dual-port distributed LUT RAM
--            UltraScale
-- Xilinx HDL Language Template, version 2022.2

RAM256X1D_inst : RAM256X1D
generic map (
   INIT => X"0000000000000000000000000000000000000000000000000000000000000000", -- Initial contents of RAM
   IS_WCLK_INVERTED => '0') -- Specifies active high/low WCLK
port map (
   DPO => DPO,     -- Read/Write port 1-bit ouput
   SPO => SPO,     -- Read port 1-bit output
   A => A,         -- Read/Write port 8-bit address input
   D => D,         -- RAM data input
   DPRA => DPRA,   -- Read port 8-bit address input
   WCLK => WCLK,   -- Write clock input
   WE => WE        -- RAM data input
);

-- End of RAM256X1D_inst instantiation
