// OBUFDS_DPHY: Differential Output Buffer with MIPI support
//              UltraScale
// Xilinx HDL Language Template, version 2022.2

OBUFDS_DPHY #(
   .IOSTANDARD("DEFAULT")  // I/O standard
)
OBUFDS_DPHY_inst (
   .O(O),               // 1-bit output: Diff_P Data output
   .OB(OB),             // 1-bit output: Diff_N Data output
   .HSTX_I(HSTX_I),     // 1-bit input: Data input (HS TX)
   .HSTX_T(HSTX_T),     // 1-bit input: Tristate Control input (HS TX)
   .LPTX_I_N(LPTX_I_N), // 1-bit input: Data input (LP TX) (Master-N)
   .LPTX_I_P(LPTX_I_P), // 1-bit input: Data input (LP TX) (Master-P)
   .LPTX_T(LPTX_T)      // 1-bit input: Tristate Control input (LP TX)
);

// End of OBUFDS_DPHY_inst instantiation
